package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.THealthSolve;

/**
 * 健康告警处理Service接口
 * 
 * @author zhengjie
 * @date 2023-09-09
 */
public interface ITHealthSolveService 
{
    /**
     * 查询健康告警处理
     * 
     * @param id 健康告警处理主键
     * @return 健康告警处理
     */
    public THealthSolve selectTHealthSolveById(Integer id);

    /**
     * 查询健康告警处理
     *
     * @param aid 健康告警处理主键
     * @return 健康告警处理
     */
    public THealthSolve selectTHealthSolveByAid(Integer aid);

    /**
     * 查询健康告警处理列表
     * 
     * @param tHealthSolve 健康告警处理
     * @return 健康告警处理集合
     */
    public List<THealthSolve> selectTHealthSolveList(THealthSolve tHealthSolve);

    /**
     * 新增健康告警处理
     * 
     * @param tHealthSolve 健康告警处理
     * @return 结果
     */
    public int insertTHealthSolve(THealthSolve tHealthSolve);

    /**
     * 修改健康告警处理
     * 
     * @param tHealthSolve 健康告警处理
     * @return 结果
     */
    public int updateTHealthSolve(THealthSolve tHealthSolve);

    /**
     * 批量删除健康告警处理
     * 
     * @param ids 需要删除的健康告警处理主键集合
     * @return 结果
     */
    public int deleteTHealthSolveByIds(Integer[] ids);

    /**
     * 删除健康告警处理信息
     * 
     * @param id 健康告警处理主键
     * @return 结果
     */
    public int deleteTHealthSolveById(Integer id);
}
